<?php

use Illuminate\Support\Facades\Route;
use App\Livewire\AdvanceTable;
use App\Livewire\TableLayout;
use App\Livewire\StationTable;
use App\Livewire\Page403;
use App\Livewire\Page404;

Route::get('/403', function () {
    return view('error-403', ['component' => 'page403']);
})->name('error.403');

Route::get('/404', function () {
    return view('error-404', ['component' => 'page404']);
})->name('error.404');

Route::get('/locations', function () {
    // Placeholder for locations route, adjust as needed
    return view('locations');
})->name('locations');

Route::get('/advance-table', function () {
    return view('advance-table', ['component' => 'advance-table', 'props' => ['columns' => [], 'url' => [], 'keyValue' => 'id']]);
})->name('advance.table');

Route::get('/table-layout', function () {
    return view('table-layout', ['component' => 'table-layout', 'props' => ['headers' => [], 'api' => [], 'keyValue' => 'id']]);
})->name('table.layout');

Route::get('/station-table', function () {
    return view('station-table', ['component' => 'station-table', 'props' => ['columns' => [], 'url' => [], 'keyValue' => 'id']]);
})->name('station.table');
Route::get('/', function () {
    return view('welcome');
});
